COPYSIGN(3)

NAME
copysign, copysignf, copysignl - copy sign of a number

SYNOPSIS
#include <math.h>

double copysign(double x, double y);
float copysignf(float x, float y);
long double copysignl(long double x, long double y);

Link with -lm.

DESCRIPTION
The copysign() functions return a value whose absolute value matches that of x, but whose sign matches that of y. If x is a NaN, then a NaN with the sign of y is returned.

NOTES
The copysign() functions may treat a negative zero as positive.

CONFORMING TO
C99, BSD 4.3. This function is defined in IEC 559 (and the appendix with recommended functions in IEEE 754/IEEE 854).

SEE ALSO
signbit(3)